;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;(declaim (optimize (debug 2) (speed 1) (safety 1) (compilation-speed 1)))
(declaim (optimize (debug 3) (speed 3) (safety 1) (compilation-speed 0)))


#+(or allegro lispworks cmu mcl cormanlisp sbcl scl)

(asdf:defsystem :ffi-extender
  :name "FFI-EXTENDER"
  :author "Kenny Tilton <ktilton@nyc.rr.com>"
  :version "1.0.0"
  :maintainer "Kenny Tilton <ktilton@nyc.rr.com>"
  :licence "MIT "
  :description "FFI Extensions"
  :long-description "FFI conveniences wrapping UFFI or native FFI"

  :components ((:file "definers")
               (:file "arrays")
               (:file "callbacks")))
