;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;(declaim (optimize (debug 2) (speed 1) (safety 1) (compilation-speed 1)))
(declaim (optimize (debug 3) (speed 3) (safety 1) (compilation-speed 0)))


(in-package :asdf)

#+(or allegro lispworks cmu mcl cormanlisp sbcl scl)

(defsystem opengl-ffi
  :name "opengl-ffi"
  :author "Kenny Tilton <ktilton@nyc.rr.com>"
  :version "1.0.0"
  :maintainer "Kenny Tilton <ktilton@nyc.rr.com>"
  :licence "MIT"
  :description "Partial OpenGL Bindings"
  :long-description "Poorly implemented bindings to half of OpenGL"
  :components ((:file "gl-def")
               (:file "gl-constants" :depends-on ("gl-def"))
               (:file "gl-functions" :depends-on ("gl-def"))
               (:file "glu-functions" :depends-on ("gl-def"))
               (:file "glut-functions" :depends-on ("gl-def"))
               (:file "glut-def" :depends-on ("gl-def"))
               (:file "glut-extras" :depends-on ("gl-def"))
               (:file "nehe-14" :depends-on ("gl-def"))))
