#+(or allegro lispworks cmu mcl cormanlisp sbcl scl)

(defsystem cello
    :name "cello"
  :author "Kenny Tilton <ktilton@nyc.rr.com>"
  :version "1.0.0"
  :maintainer "Kenny Tilton <ktilton@nyc.rr.com>"
  :licence "MIT"
  :description "A Common Lisp GUI"
  :long-description "A portable Common Lisp GUI built under the dataflow paradigm"
  
  :perform (load-op :after (op cello)
             (pushnew :cello cl:*features*))
  
  :components (
               (:file "inspection.lisp")
               (:file "ct-item-stack.lisp")
               (:file "ct-slot-stack.lisp")
               (:file "inspector-toolbar.lisp")
               (:file "inspector-window.lisp")
               (:file "object-inspector-01.lisp")
               (:file "object-inspector-02.lisp")
               (:file "outline.lisp")
               (:file "slot-inspector.lisp")
               (:file "structure-view.lisp")))