;; -*- lisp-version: "6.2 [Windows] (Jun 26, 2002 11:39)"; common-graphics: "1.389.2.105.2.14"; -*-

(in-package :common-graphics-user)

(defpackage :cells (:export))

(define-project :name :cells
  :application-type (intern "Standard EXE" (find-package :keyword))
  :modules (list (make-instance 'module :name "cells.lisp")
                 (make-instance 'module :name "flow-control.lisp")
                 (make-instance 'module :name "strings.lisp")
                 (make-instance 'module :name "detritus.lisp")
                 (make-instance 'module :name "cell-types.lisp")
                 (make-instance 'module :name "debug.lisp")
                 (make-instance 'module :name "initialize.lisp")
                 (make-instance 'module :name
                                "dataflow-management.lisp")
                 (make-instance 'module :name "md-slot-value.lisp")
                 (make-instance 'module :name "calc-n-set.lisp")
                 (make-instance 'module :name "slot-utilities.lisp")
                 (make-instance 'module :name "optimization.lisp")
                 (make-instance 'module :name "link.lisp")
                 (make-instance 'module :name "propagate.lisp")
                 (make-instance 'module :name "synapse.lisp")
                 (make-instance 'module :name "model-object.lisp")
                 (make-instance 'module :name "defmodel.lisp")
                 (make-instance 'module :name "md-utilities.lisp")
                 (make-instance 'module :name "family.lisp")
                 (make-instance 'module :name "fm-utilities.lisp")
                 (make-instance 'module :name "family-values.lisp")
                 (make-instance 'module :name "repl.lisp"))
  :projects nil
  :libraries nil
  :distributed-files nil
  :project-package-name :cells
  :main-form nil
  :compilation-unit t
  :verbose nil
  :runtime-modules '(:cg :drag-and-drop :lisp-widget
                     :multi-picture-button :common-control
                     :edit-in-place :outline :grid :group-box
                     :header-control :progress-indicator-control
                     :common-status-bar :tab-control :trackbar-control
                     :up-down-control :dde :mci :carets :hotspots
                     :menu-selection :choose-list :directory-list
                     :color-dialog :find-dialog :font-dialog
                     :string-dialog :yes-no-list-dialog
                     :list-view-control :rich-edit :drawable :ole :www
                     :aclwin302)
  :splash-file-module (make-instance 'build-module :name "")
  :icon-file-module (make-instance 'build-module :name "")
  :include-flags '(:compiler :top-level :local-name-info)
  :build-flags '(:allow-debug :purify)
  :autoload-warning t
  :full-recompile-for-runtime-conditionalizations nil
  :default-command-line-arguments "+cx +t \"Initializing\""
  :old-space-size 256000
  :new-space-size 6144
  :runtime-build-option :standard
  :on-initialization 'cello::starter
  :on-restart 'do-default-restart)

;; End of Project Definition
